﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Visifire.Charts;
using Visifire.Controls;

namespace SilverlightRangeBarDemo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {   
            InitializeComponent();
            
            MyRangeControl.RangeChanged += new EventHandler<RangeBarEventArgs>(MyRangeControl_RangeChanged);
            
        }

        void MyRangeControl_RangeChanged(object sender, RangeBarEventArgs e)
        {   
            RangeBar  rangeBar = sender as RangeBar;

            if(e.IsFromValueChanged)
                FromTextBlock.Text = e.FromValue.ToString();

            if(e.IsToValueChanged)
                ToTextBlock.Text = e.ToValue.ToString();
        }

        void RangeChart_Loaded(object sender, RoutedEventArgs e)
        {   
            AddDataPointsInRangeChart(sender as Chart);
        }

        public void AddDataPointsInRangeChart(Chart chart)
        {   
            DataPointCollection collection = new DataPointCollection();

            DateTime dateTime = new DateTime(2011, 1, 1);

            for (Int32 index = 0; index < 356; index++)
            {   
                collection.Add(new DataPoint() { XValue = dateTime.AddDays(index), YValue = rand.Next(50 , 100) });
            }

            chart.Series[0].DataPoints = collection;

            MyRangeControl.FromValue = dateTime;
            MyRangeControl.ToValue = dateTime.AddDays(355);
        }

        Random rand = new Random(DateTime.Now.Millisecond);
    }
}